<?php

namespace Zotlabs\Theme;

class plusfutureConfig
{

	function get_schemas()
	{
		$files = glob('view/theme/plusfuture/schema/*.php');

		$scheme_choices = [];

		if ($files) {

			if (in_array('view/theme/plusfuture/schema/default.php', $files)) {
				$scheme_choices['---'] = t('Default');
				$scheme_choices['focus'] = t('Focus (Hubzilla default)');
			} else {
				$scheme_choices['---'] = t('Focus (Hubzilla default)');
			}

			foreach ($files as $file) {
				$f = basename($file, ".php");
				if ($f != 'default') {
					$scheme_name = $f;
					$scheme_choices[$f] = $scheme_name;
				}
			}
		}

		return $scheme_choices;
	}

	function get()
	{
		if (!local_channel()) {
			return;
		}

		$arr = array();
		$arr['narrow_navbar'] = get_pconfig(local_channel(), 'plusfuture', 'narrow_navbar');
		$arr['singlepost'] = get_pconfig(local_channel(), 'plusfuture', 'singlepost');
		$arr['nav_bg'] = get_pconfig(local_channel(), 'plusfuture', 'nav_bg');
		$arr['nav_icon_colour'] = get_pconfig(local_channel(), 'plusfuture', 'nav_icon_colour');
		$arr['nav_active_icon_colour'] = get_pconfig(local_channel(), 'plusfuture', 'nav_active_icon_colour');
		$arr['link_colour'] = get_pconfig(local_channel(), 'plusfuture', 'link_colour');
		$arr['banner_colour'] = get_pconfig(local_channel(), 'plusfuture', 'banner_colour');
		$arr['bgcolour'] = get_pconfig(local_channel(), 'plusfuture', 'background_colour');
		$arr['background_image'] = get_pconfig(local_channel(), 'plusfuture', 'background_image');
		$arr['item_colour'] = get_pconfig(local_channel(), 'plusfuture', 'item_colour');
		$arr['comment_item_colour'] = get_pconfig(local_channel(), 'plusfuture', 'comment_item_colour');
		$arr['font_size'] = get_pconfig(local_channel(), 'plusfuture', 'font_size');
		$arr['font_colour'] = get_pconfig(local_channel(), 'plusfuture', 'font_colour');
		$arr['radius'] = get_pconfig(local_channel(), 'plusfuture', 'radius');
		$arr['shadow'] = get_pconfig(local_channel(), 'plusfuture', 'photo_shadow');
		$arr['converse_width'] = get_pconfig(local_channel(), "plusfuture", "converse_width");
		$arr['top_photo'] = get_pconfig(local_channel(), "plusfuture", "top_photo");
		$arr['reply_photo'] = get_pconfig(local_channel(), "plusfuture", "reply_photo");
		$arr['advanced_theming'] = get_pconfig(local_channel(), 'plusfuture', 'advanced_theming');
		return $this->form($arr);
	}

	function post()
	{
		if (!local_channel()) {
			return;
		}

		if (isset($_POST['plusfuture-settings-submit'])) {
			set_pconfig(local_channel(), 'plusfuture', 'narrow_navbar', $_POST['plusfuture_narrow_navbar']);
			set_pconfig(local_channel(), 'plusfuture', 'singlepost', $_POST['plusfuture_singlepost']);
			set_pconfig(local_channel(), 'plusfuture', 'nav_bg', $_POST['plusfuture_nav_bg']);
			set_pconfig(local_channel(), 'plusfuture', 'nav_icon_colour', $_POST['plusfuture_nav_icon_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'nav_active_icon_colour', $_POST['plusfuture_nav_active_icon_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'link_colour', $_POST['plusfuture_link_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'background_colour', $_POST['plusfuture_background_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'banner_colour', $_POST['plusfuture_banner_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'background_image', $_POST['plusfuture_background_image']);
			set_pconfig(local_channel(), 'plusfuture', 'item_colour', $_POST['plusfuture_item_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'comment_item_colour', $_POST['plusfuture_comment_item_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'font_size', $_POST['plusfuture_font_size']);
			set_pconfig(local_channel(), 'plusfuture', 'font_colour', $_POST['plusfuture_font_colour']);
			set_pconfig(local_channel(), 'plusfuture', 'radius', $_POST['plusfuture_radius']);
			set_pconfig(local_channel(), 'plusfuture', 'photo_shadow', $_POST['plusfuture_shadow']);
			set_pconfig(local_channel(), 'plusfuture', 'converse_width', $_POST['plusfuture_converse_width']);
			set_pconfig(local_channel(), 'plusfuture', 'top_photo', $_POST['plusfuture_top_photo']);
			set_pconfig(local_channel(), 'plusfuture', 'reply_photo', $_POST['plusfuture_reply_photo']);
			set_pconfig(local_channel(), 'plusfuture', 'advanced_theming', $_POST['plusfuture_advanced_theming']);
		}
	}

	function form($arr)
	{

		if (get_pconfig(local_channel(), 'plusfuture', 'advanced_theming'))
			$expert = 1;

		$o .= replace_macros(get_markup_template('theme_settings.tpl'), array(
			'$submit' => t('Submit'),
			'$baseurl' => z_root(),
			'$theme' => \App::$channel['channel_theme'],
			'$expert' => $expert,
			'$title' => t("Theme settings"),
			'$narrow_navbar' => array('plusfuture_narrow_navbar', t('細めのナビバー'), $arr['narrow_navbar'], '', array(t('No'), t('Yes'))),
			'$singlepost' => array('plusfuture_singlepost', t('Singlepost'), $arr['singlepost'], '', array(t('No'), t('Yes'))),
			'$nav_bg' => array('plusfuture_nav_bg', t('ナビゲーションバーバックグラウンドカラー'), $arr['nav_bg']),
			'$nav_icon_colour' => array('plusfuture_nav_icon_colour', t('ナビゲーションバーアイコンカラー'), $arr['nav_icon_colour']),
			'$nav_active_icon_colour' => array('plusfuture_nav_active_icon_colour', t('ナビゲーションバーアクティブアイコンカラー'), $arr['nav_active_icon_colour']),
			'$link_colour' => array('plusfuture_link_colour', t('リンクカラー'), $arr['link_colour'], '', $link_colours),
			'$banner_colour' => array('plusfuture_banner_colour', t('バナーのフォントカラー'), $arr['banner_colour']),
			'$bgcolour' => array('plusfuture_background_colour', t('バックグラウンドカラー'), $arr['bgcolour']),
			'$background_image' => array('plusfuture_background_image', t('バックグラウンド画像'), $arr['background_image']),
			'$item_colour' => array('plusfuture_item_colour', t('バックグラウンドの画像や色を指定してください。'), $arr['item_colour']),
			'$comment_item_colour' => array('plusfuture_comment_item_colour', t('コメント欄のアイテムカラー'), $arr['comment_item_colour']),
			'$font_size' => array('plusfuture_font_size', t('フォントサイズ'), $arr['font_size'], t('Examples: 1rem, 100%, 16px')),
			'$font_colour' => array('plusfuture_font_colour', t('投稿とコメントのフォントサイズ'), $arr['font_colour']),
			'$radius' => array('plusfuture_radius', t('カードの角丸'), $arr['radius'], t('Example: 4px')),
			'$shadow' => array('plusfuture_shadow', t('影'), $arr['shadow']),
			'$converse_width' => array('plusfuture_converse_width', t('コンテンツの幅指定'), $arr['converse_width'], t('Leave empty for default width')),
			'$top_photo' => array('plusfuture_top_photo', t('Set size of conversation author photo'), $arr['top_photo']),
			'$reply_photo' => array('plusfuture_reply_photo', t('Set size of followup author photos'), $arr['reply_photo']),
			'$advanced_theming' => ['plusfuture_advanced_theming', t('詳細設定を開く'), $arr['advanced_theming'], '', [t('No'), t('Yes')]]
		));

		return $o;
	}

}






